import DataWrap from '@/components/data/DataWrap'
import { Button } from 'antd'
import { useAIStore } from '@/stores/ai'

export default function DataWriteUpload() {
  const post = useAIStore((state) => state.post)
  const isLoading = useAIStore((state) => state.isLoading)

  function handleClick(type: number) {
    if (type == 1) {
      post({
        messages: [
          {
            role: 'user',
            content: '请仔细阅读我给你的数据集里面的数据，然后帮助我详细解释一下数据集里面每一个字段的含义。',
          },
        ],
      })
    } else {
      post({
        messages: [
          {
            role: 'user',
            content: '请仔细阅读我给你的数据集里面的数据，然后帮助我梳理数据集里面字段与字段之间的业务逻辑关系。',
          },
        ],
      })
    }
  }

  return (
    <DataWrap
      title="数据理解"
      buttons={
        <>
          <Button type="primary" onClick={() => handleClick(1)} loading={isLoading}>
            一键理解数据字段
          </Button>
          <Button type="primary" onClick={() => handleClick(2)} loading={isLoading}>
            一键梳理字段关系
          </Button>
        </>
      }></DataWrap>
  )
}
